jQuery(function($) {
    /**
    * Metabox
    */

    $('#ali-form-metabox .button_update').click(function() {
        this.disabled = true;
        $(this).addClass('button-primary-disabled');
        $('#ali-metabox-ajax_loader').css('visibility', 'visible');
        blockSave = true;
        window.onbeforeunload = null;
        $('#post').submit();
    });

     $('#ali-form-metabox #ali_metabox-custom').change(function() {
        if ($(this).attr('checked')) {
            $('#ali-form-metabox .ali-override').removeClass('disabled');
        } else {
            $('#ali-form-metabox .ali-override').addClass('disabled');
            for (var field in ali.defaultValues) {
                var value = ali.defaultValues[field];
                if ('function' == typeof value) {
                    continue;
                }

                $('#ali-form-metabox [name="ali_metabox[' + field + ']"]')
                    .val(value)
                    .change();
            }
        }
    });

    $('#ali-form-metabox .ali-override, #ali-form-metabox .ali-trigger-custom').on('focus click', function() {
        var customField = $('#ali-form-metabox #ali_metabox-custom');
        if (!customField.attr('checked')) {
            $('#ali-form-metabox #ali_metabox-custom')
                .attr('checked', 'checked')
                .change();
        }
    });

    /**
    * Help
    */

    function ali_hideHelpTooltip()
    {
        $('.ali-help-block').hide();
        $('#ali-help-bkg').hide();
    }

    function ali_showHelpTooltip(identifier)
    {
        ali_hideHelpTooltip();
        $('#ali-help-bkg').show();
        $('#ali-help-block-' + identifier).slideDown('fast');
    }

    $('.ali-help-link').click(function() {
        ali_showHelpTooltip($(this).attr('data-identifier'));
        return false;
    });

    $('#ali-help-bkg, .ali-help-close').click(function() {
        ali_hideHelpTooltip();
        return false;
    });
});